--=======================================================================================================================
-- IMPROVEMENT ART DEFINES
--=======================================================================================================================	
-- ArtDefine_LandmarkTypes
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_LandmarkTypes
		(Type,								LandmarkType,	FriendlyName)
VALUES	('ART_DEF_IMPROVEMENT_FOGGARA',	'Improvement',	'Garamantes_Foggara');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType,					TileType,		Asset) 
VALUES	('ART_DEF_IMPROVEMENT_FOGGARA',	'Improvement',	'sv_Foggara.dds');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_Landmarks
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO ArtDefine_Landmarks 
		(Era,	State,					Scale,	ImprovementType,				LayoutHandler,	ResourceType,				Model,				TerrainContour)
VALUES	('Any', 'UnderConstruction',	1.3,  	'ART_DEF_IMPROVEMENT_FOGGARA',	'RANDOM',		'ART_DEF_RESOURCE_ALL',	'Tomatekh_Foggaras_HB.fxsxml',	1),
		('Any', 'Constructed',			1.3,  	'ART_DEF_IMPROVEMENT_FOGGARA',	'RANDOM',		'ART_DEF_RESOURCE_ALL',	'Tomatekh_Foggaras_B.fxsxml',	1),
		('Any', 'Pillaged',				1.3,  	'ART_DEF_IMPROVEMENT_FOGGARA',	'RANDOM',		'ART_DEF_RESOURCE_ALL',	'Tomatekh_Foggaras_PL.fxsxml',	1);
--==========================================================================================================================
-- ICON ATLASES
--==========================================================================================================================	
-- IconTextureAtlases
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 						IconSize, 	Filename, 					IconsPerRow, 	IconsPerColumn)
VALUES	('GARAMANTES_ALPHA_ATLAS', 		128, 		'GaramantesAlpha_128.dds',	1,				1),
		('GARAMANTES_ALPHA_ATLAS', 		64, 		'GaramantesAlpha_64.dds',	1, 				1),
		('GARAMANTES_ALPHA_ATLAS', 		48, 		'GaramantesAlpha_48.dds',	1, 				1),
		('GARAMANTES_ALPHA_ATLAS', 		32, 		'GaramantesAlpha_32.dds',	1, 				1),
		('GARAMANTES_ALPHA_ATLAS', 		24, 		'GaramantesAlpha_24.dds',	1, 				1),
		('GARAMANTES_ALPHA_ATLAS', 		16, 		'GaramantesAlpha_16.dds',	1, 				1),
		('GARAMANTES_ICON_ATLAS', 		256, 		'GaramantesAtlas_256.dds',	4, 				2),
		('GARAMANTES_ICON_ATLAS', 		128, 		'GaramantesAtlas_128.dds',	4, 				2),
		('GARAMANTES_ICON_ATLAS', 		80, 		'GaramantesAtlas_80.dds',	4, 				2),
		('GARAMANTES_ICON_ATLAS', 		64, 		'GaramantesAtlas_64.dds',	4, 				2),
		('GARAMANTES_ICON_ATLAS', 		45, 		'GaramantesAtlas_45.dds',	4, 				2),
		('GARAMANTES_ICON_ATLAS', 		32, 		'GaramantesAtlas_32.dds',	4, 				2),
		('GARAMA_BUILD_ATLAS',			64, 		'Garama_Build_64.dds',		1, 				1),
		('GARAMA_BUILD_ATLAS',			45, 		'Garama_Build_45.dds',		1, 				1),
		('GARAMA_BUILD_GOLD_ATLAS',		64, 		'Garama_Gold_Build_64.dds',	1, 				1),
		('GARAMA_BUILD_GOLD_ATLAS',		45, 		'Garama_Gold_Build_45.dds',	1, 				1),
		('PLUMEDNOMAD_FLAG_ATLAS',		32, 		'flag_Plumed.dds',			1, 				1),
		('MOUKAHLA_FLAG_ATLAS',			32, 		'flag_Moukahla.dds',		1, 				1),
		('JAR_GARAMANTES_PROMO_ATLAS', 	256, 		'Garamantes_PI_256.dds',	1,				1),
		('JAR_GARAMANTES_PROMO_ATLAS', 	64, 		'Garamantes_PI_064.dds',	1,				1),
		('JAR_GARAMANTES_PROMO_ATLAS', 	45, 		'Garamantes_PI_045.dds',	1,				1),
		('JAR_GARAMANTES_PROMO_ATLAS', 	32, 		'Garamantes_PI_032.dds',	1,				1),
		('JAR_GARAMANTES_PROMO_ATLAS', 	16, 		'Garamantes_PI_016.dds',	1,				1);
--==========================================================================================================================
-- UNIT GRAPHICS
--==========================================================================================================================	
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 	TileType,	Asset)
SELECT	'ART_DEF_UNIT_PLUMED',	TileType, 	'sv_Plumed.dds'
FROM ArtDefine_StrategicView WHERE StrategicViewType = 'ART_DEF_UNIT_SCOUT';

INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 			TileType,	Asset)
SELECT	'ART_DEF_UNIT_JAR_MOUKHALA',	TileType, 	'sv_Moukahla.dds'
FROM ArtDefine_StrategicView WHERE StrategicViewType = 'ART_DEF_UNIT_RIFLEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfos
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO ArtDefine_UnitInfos 
		(Type, 					DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_PLUMED',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_SCOUT';		

INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JAR_MOUKHALA',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_RIFLEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfoMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,			UnitMemberInfoType,				NumMembers)
SELECT	'ART_DEF_UNIT_PLUMED', 	'ART_DEF_UNIT_MEMBER_PLUMED',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_SCOUT';

INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,				UnitMemberInfoType,				NumMembers)
SELECT	'ART_DEF_UNIT_JAR_MOUKHALA', 	'ART_DEF_UNIT_MEMBER_MOUKAHLA',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_RIFLEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberCombats
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,				EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_PLUMED',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SCOUT';

INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,				EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_MOUKAHLA',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_RIFLEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberCombatWeapons
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,				"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_PLUMED',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SCOUT';


INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,				"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_MOUKAHLA',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_RIFLEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 							Scale,	ZOffset, Domain, Model, 			MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_PLUMED',	Scale,	ZOffset, Domain, 'Garamante.fxsxml',MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_SCOUT';

INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 							Scale,	ZOffset, Domain, Model, 			MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_MOUKAHLA',	Scale,	ZOffset, Domain, 'babrm1.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_RIFLEMAN';
--=======================================================================================================================
-- COLOURS
--=======================================================================================================================
-- Colors
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Colors 
		(Type, 											Red, 	Green, 	Blue,   Alpha)
VALUES	('COLOR_PLAYER_ANCIENT_LIBYA_MOD_ICON', 		0.701,	0.909,	1.000,  1),
		('COLOR_PLAYER_ANCIENT_LIBYA_MOD_BACKGROUND', 	0.859,	0.294,	0.047,	1);
------------------------------------------------------------------------------------------------------------------------
-- PlayerColors
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO PlayerColors 
		(Type, 								PrimaryColor, 							SecondaryColor, 						 		TextColor)
VALUES	('PLAYERCOLOR_ANCIENT_LIBYA_MOD',	'COLOR_PLAYER_ANCIENT_LIBYA_MOD_ICON',	'COLOR_PLAYER_ANCIENT_LIBYA_MOD_BACKGROUND',	 'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
-- Audio_Sounds
------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 									Filename, 		LoadType)
VALUES	('SND_LEADER_MUSIC_GARAMANTES_PEACE', 		'DjallaPeace',		'DynamicResident'),
		('SND_LEADER_MUSIC_GARAMANTES_WAR', 		'DjallaWar', 		'DynamicResident'),		
		('SND_AMBIENCE_WIND_GAR', 						'WindAmbience', 	'DynamicResident');		
------------------------------
-- Audio_2DSounds
------------------------------	
INSERT INTO Audio_2DSounds 
		(ScriptID, 									SoundID, 								SoundType, 		DontTriggerDuplicates,	DontPlayMoreThan,	TaperSoundtrackVolume,	MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_AMBIENCE_LEADER_ANCIENT_LIBYA_MOD_AMBIENCE','SND_AMBIENCE_WIND_GAR', 		'GAME_SFX', 	0,						0,					0.0,					70, 		70, 		0, 		 1),
		('AS2D_LEADER_MUSIC_GARAMANTES_PEACE',		'SND_LEADER_MUSIC_GARAMANTES_PEACE', 	'GAME_MUSIC', 	0,						0,					-1.0,					60, 		60, 		1, 		 0),
		('AS2D_LEADER_MUSIC_GARAMANTES_WAR', 		'SND_LEADER_MUSIC_GARAMANTES_WAR', 		'GAME_MUSIC', 	0,						0,					-1.0,					60, 		60, 		1,		 0);
--==========================================================================================================================
--==========================================================================================================================
