--==========================================================================================================================
-- Features
--==========================================================================================================================
-- Features
--------------------------------
INSERT INTO Features
		(Type, 										Description, 										Civilopedia, 											Help,													ArtDefineTag, Movement, AddsFreshWater, WorldSoundscapeAudioScript, EffectTypeTag, PortraitIndex, IconAtlas) 
SELECT	'FEATURE_ANCIENT_LIBYAN_MOD_FOSSIL_WATER',	'TXT_KEY_FEATURE_ANCIENT_LIBYAN_MOD_FOSSIL_WATER',	'TXT_KEY_FEATURE_ANCIENT_LIBYAN_MOD_FOSSIL_WATER_TEXT',	'TXT_KEY_FEATURE_ANCIENT_LIBYAN_MOD_FOSSIL_WATER_HELP',	ArtDefineTag, Movement, AddsFreshWater, WorldSoundscapeAudioScript, EffectTypeTag, 4, 'GARAMANTES_ICON_ATLAS'
FROM Features WHERE Type='FEATURE_OASIS';
--==========================================================================================================================
-- Improvements
--==========================================================================================================================
-- Improvements
--------------------------------
INSERT INTO Improvements
		(Type,									Description,								Civilopedia, 									Help,											ArtDefineTag,					SpecificCivRequired,	CivilizationType,				PillageGold, Permanent,	NoTwoAdjacent,	DestroyedWhenPillaged,	IconAtlas,				PortraitIndex, AddsFreshWater, RequiresImprovement)
VALUES	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'TXT_KEY_IMPROVEMENT_GARAMANTES_FOGGORA',	'TXT_KEY_IMPROVEMENT_GARAMANTES_FOGGORA_TEXT',	'TXT_KEY_IMPROVEMENT_GARAMANTES_FOGGORA_HELP',	'ART_DEF_IMPROVEMENT_FOGGARA',	1,					'CIVILIZATION_ANCIENT_LIBYA_MOD',	20,				0,			1,			0,						'GARAMANTES_ICON_ATLAS',	3, 1, 1);
------------------------------	
-- Improvement_Flavors
------------------------------		
INSERT INTO Improvement_Flavors	
		(ImprovementType, 						FlavorType,			Flavor)
VALUES	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'FLAVOR_CULTURE',		2),
		('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'FLAVOR_PRODUCTION',	5),
		('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'FLAVOR_GROWTH',		10);
------------------------------	
-- Improvement_ValidTerrains
------------------------------		
--INSERT INTO Improvement_ValidTerrains 	
--		(ImprovementType,						TerrainType)
--VALUES
--	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'TERRAIN_DESERT');
-- makes any improvement on desert upgradable...

INSERT INTO Improvement_AdjacentTerrainYieldChanges
	(ImprovementType, TerrainType, YieldType, Yield)
VALUES
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'TERRAIN_DESERT', 'YIELD_FOOD', 1),
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'TERRAIN_DESERT', 'YIELD_GOLD', 1),
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'TERRAIN_DESERT', 'YIELD_CULTURE_LOCAL', 2);

INSERT INTO Improvement_ValidImprovements
	(ImprovementType, PrereqImprovement)
VALUES
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'IMPROVEMENT_WELL'),
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'IMPROVEMENT_MINE');

INSERT INTO Improvement_ResourceTypes
	(ImprovementType, ResourceType, ResourceMakesValid, ResourceTrade)
SELECT
	'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', ResourceType, ResourceMakesValid, ResourceTrade
FROM Improvement_ResourceTypes WHERE ImprovementType = 'IMPROVEMENT_MINE' UNION ALL
SELECT 
	'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'RESOURCE_OIL', 1, 1;

INSERT INTO Improvement_ResourceType_Yields
	(ImprovementType, ResourceType, YieldType, Yield)
SELECT
	'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', ResourceType, 'YIELD_GOLD', 2
FROM Improvement_ResourceType_Yields WHERE ImprovementType IN ('IMPROVEMENT_MINE', 'IMPROVEMENT_WELL');

INSERT INTO Belief_ImprovementYieldChanges
	(BeliefType, ImprovementType, YieldType, Yield)
VALUES
	('BELIEF_EARTH_MOTHER', 'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'YIELD_PRODUCTION', 1),
	('BELIEF_EARTH_MOTHER', 'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'YIELD_CULTURE', 1),
	('BELIEF_EARTH_MOTHER', 'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 'YIELD_FAITH', 1);

------------------------------	
-- Improvement_Yields
------------------------------		
INSERT INTO Improvement_Yields 	
		(ImprovementType, 						YieldType,			Yield)
VALUES	
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'YIELD_PRODUCTION',	1),
	('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'YIELD_SCIENCE',	2);
------------------------------
-- Improvement_YieldPerXAdjacentImprovement
------------------------------
INSERT INTO Improvement_YieldPerXAdjacentImprovement
(ImprovementType, 						OtherImprovementType, 					YieldType, Yield, NumRequired) VALUES
('IMPROVEMENT_FARM', 					'IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'YIELD_CULTURE', 1, 1);
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_FARM', 					'YIELD_CULTURE', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_PLANTATION', 				'YIELD_CULTURE', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_PASTURE', 					'YIELD_CULTURE', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_MINE', 					'YIELD_CULTURE', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_QUARRY', 					'YIELD_CULTURE', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_FARM', 					'YIELD_CULTURE_LOCAL', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_PLANTATION', 				'YIELD_CULTURE_LOCAL', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_PASTURE', 					'YIELD_CULTURE_LOCAL', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_MINE', 					'YIELD_CULTURE_LOCAL', 2, 3),
--('IMPROVEMENT_GARAMANTES_MOD_FOGGORA', 	'IMPROVEMENT_QUARRY', 					'YIELD_CULTURE_LOCAL', 2, 3);
------------------------------
-- Improvement_TechYieldChanges
------------------------------
INSERT INTO Improvement_TechYieldChanges 
(ImprovementType, 						TechType,        YieldType,		 Yield) VALUES
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',  'TECH_MACHINERY', 'YIELD_PRODUCTION', 1),
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'TECH_GUNPOWDER',       'YIELD_GOLD', 1),
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',  'TECH_ARCHITECTURE', 'YIELD_SCIENCE', 2),
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'TECH_DYNAMITE',  'YIELD_GOLD',       1),
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',  'TECH_DYNAMITE',  'YIELD_PRODUCTION', 1),
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',  'TECH_PLASTIC',   'YIELD_PRODUCTION', 2),
('IMPROVEMENT_GARAMANTES_MOD_FOGGORA',  'TECH_RADAR',     'YIELD_SCIENCE',       3);
------------------------------
-- Policy_ImprovementYieldChanges
------------------------------
INSERT INTO Policy_ImprovementYieldChanges
		(PolicyType,	ImprovementType,			YieldType,			Yield)
SELECT	 PolicyType,	'IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	YieldType, Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MOAI';
------------------------------
-- Belief_ImprovementYieldChanges
------------------------------	
INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType, 	ImprovementType, 			YieldType, Yield)
SELECT	 BeliefType,	'IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	YieldType, Yield
FROM Belief_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MOAI';
--==========================================================================================================================
-- Builds
--==========================================================================================================================
INSERT INTO Builds		
		(Type,					PrereqTech,			ImprovementType, 						Description, 					Help, 									Recommendation, 					Time, EntityEvent, 			OrderPriority, 	IconIndex, 	IconAtlas)
SELECT 	'BUILD_GARAMA_FOGGORA',	'TECH_ENGINEERING',	'IMPROVEMENT_GARAMANTES_MOD_FOGGORA',	'TXT_KEY_BUILD_GARAMA_FOGGORA',	'TXT_KEY_BUILD_GARAMA_FOGGORA_HELP',	'TXT_KEY_BUILD_GARAMA_FOGGORA_REC',	Time, 'ENTITY_EVENT_IRRIGATE',	95,				0,		'GARAMA_BUILD_ATLAS'
FROM Builds WHERE Type='BUILD_QUARRY';
------------------------------				
-- Unit_Builds
------------------------------				
INSERT INTO Unit_Builds	
		(UnitType, 	BuildType)
SELECT 	 Type,		'BUILD_GARAMA_FOGGORA' FROM Units WHERE Class='UNITCLASS_WORKER';
--------------------------------
-- BuildFeatures
--------------------------------
INSERT INTO BuildFeatures
		(BuildType, 				FeatureType,		PrereqTech,	Time, Production,	Remove)
SELECT	('BUILD_GARAMA_FOGGORA'),	'FEATURE_FOREST',	PrereqTech,	Time, Production,	Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_REMOVE_FOREST';

INSERT INTO BuildFeatures
		(BuildType, 				FeatureType,		PrereqTech,	Time,	Production, Remove)
SELECT	('BUILD_GARAMA_FOGGORA'),	'FEATURE_JUNGLE',	PrereqTech,	Time,	Production,	Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_REMOVE_JUNGLE';

INSERT INTO BuildFeatures
		(BuildType, 				FeatureType,		PrereqTech,	Time,	Production, Remove)
SELECT	('BUILD_GARAMA_FOGGORA'),	'FEATURE_MARSH',	PrereqTech,	Time,	Production,	Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_REMOVE_MARSH';
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
-- Buildings
------------------------------	
INSERT INTO Buildings
		(Type, 				BuildingClass,	Cost,	GoldMaintenance,	FaithCost, UnlockedByBelief, PrereqTech,	Help,								Description,					Civilopedia,						Strategy,								ArtDefineTag,	MinAreaSize,	HurryCostModifier,	NeverCapture,	IconAtlas,			PortraitIndex)
SELECT	'BUILDING_AGHREM',	BuildingClass,	Cost,	GoldMaintenance,	FaithCost, UnlockedByBelief, PrereqTech,	('TXT_KEY_BUILDING_AGHREM_HELP'),	('TXT_KEY_BUILDING_AGHREM'),	('TXT_KEY_BUILDING_AGHREM_TEXT'),	('TXT_KEY_BUILDING_AGHREM_STRATEGY'),	ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,				'GARAMANTES_ICON_ATLAS',	5
FROM Buildings WHERE (Type = 'BUILDING_WATERMILL');
UPDATE Buildings SET Defense= 500, ExtraCityHitPoints= 50, AllowsRangeStrike= 1 WHERE Type= 'BUILDING_AGHREM';
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 		FlavorType,				Flavor)
SELECT	'BUILDING_AGHREM',	'FLAVOR_CITY_DEFENSE',	15 UNION ALL
SELECT	'BUILDING_AGHREM',	'FLAVOR_EXPANSION',		5 UNION ALL
SELECT	'BUILDING_AGHREM',	FlavorType,				Flavor
FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WATERMILL');
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
		(BuildingType, 		YieldType,	Yield)
SELECT	'BUILDING_AGHREM',	YieldType,	Yield
FROM Building_YieldChanges WHERE (BuildingType = 'BUILDING_WATERMILL');
------------------------------	
-- Building_YieldChangesPerPop
------------------------------
INSERT INTO Building_YieldChangesPerPop
		(BuildingType, 		YieldType, 			Yield)
SELECT	'BUILDING_AGHREM',	'YIELD_FOOD',		Yield FROM Building_YieldChangesPerPop WHERE (BuildingType = 'BUILDING_WATERMILL') UNION ALL
SELECT	'BUILDING_AGHREM',	'YIELD_PRODUCTION',	Yield FROM Building_YieldChangesPerPop WHERE (BuildingType = 'BUILDING_WATERMILL');
------------------------------
-- Building_ResourceYieldChanges
------------------------------
INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 		ResourceType, 		YieldType, Yield)
SELECT	'BUILDING_AGHREM', 	ResourceType, 		YieldType, Yield
FROM Building_ResourceYieldChanges WHERE BuildingType='BUILDING_WATERMILL';
------------------------------	
-- Building_FeatureYieldChanges
------------------------------		
INSERT INTO Building_FeatureYieldChanges
		(BuildingType, 		FeatureType,	YieldType, Yield)
SELECT	'BUILDING_AGHREM', 'FEATURE_OASIS', Type, 		1 FROM Yields WHERE Type IN ('YIELD_FOOD', 'YIELD_GOLD') UNION ALL
SELECT	'BUILDING_AGHREM', 'FEATURE_OASIS', 'YIELD_CULTURE_LOCAL', 		2;
------------------------------	
-- Building_YieldPerXTerrainTimes100
------------------------------	
INSERT INTO Building_YieldPerXTerrainTimes100
	(BuildingType, TerrainType, YieldType, Yield)
VALUES
	('BUILDING_AGHREM', 'TERRAIN_DESERT', 'YIELD_CULTURE', 50);
--==========================================================================================================================
-- UnitPromotions
--==========================================================================================================================
INSERT INTO UnitPromotions 
(Type, 								Description, 								Help, 											Sound, 				LostWithUpgrade, OrderPriority, CannotBeChosen,	PortraitIndex, 	IconAtlas,						PediaType, 			PediaEntry) VALUES
('PROMOTION_LIBYAN_DESERT_RAIDER',	'TXT_KEY_PROMOTION_LIBYAN_DESERT_RAIDER',	'TXT_KEY_PROMOTION_LIBYAN_DESERT_RAIDER_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,				1, 				'EXPANSION2_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_LIBYAN_DESERT_RAIDER');
UPDATE UnitPromotions SET CityAttackPlunderModifier=75, DamageReductionCityAssault=20 WHERE Type = 'PROMOTION_LIBYAN_DESERT_RAIDER';

INSERT INTO UnitPromotions_Terrains
(PromotionType, 					TerrainType, 	DoubleMove) VALUES
('PROMOTION_LIBYAN_DESERT_RAIDER', 	'TERRAIN_DESERT', 1);

INSERT INTO UnitPromotions 
(Type,								Description,								Help,											Sound, 				CannotBeChosen,		LostWithUpgrade,	IgnoreTerrainCost,		PortraitIndex,	IconAtlas,						PediaType,	PediaEntry) VALUES
('PROMOTION_LIBYAN_CHARIOT_ROUTE', 	'TXT_KEY_PROMOTION_LIBYAN_CHARIOT_ROUTE',	'TXT_KEY_PROMOTION_LIBYAN_CHARIOT_ROUTE_HELP',	'AS2D_IF_LEVELUP', 				 1,                   1,                    1,                 0,	'JAR_GARAMANTES_PROMO_ATLAS',	'PEDIA_ATTRIBUTES',	'TXT_KEY_PROMOTION_LIBYAN_CHARIOT_ROUTE');
UPDATE UnitPromotions SET PromotionDuration=1 WHERE Type = 'PROMOTION_LIBYAN_CHARIOT_ROUTE';
--==========================================================================================================================
-- Units
--==========================================================================================================================
INSERT INTO Units 	
		(Type,						Class, 	PrereqTech,	Range, BaseSightRange, Combat, 		MoveAfterPurchase,PurchaseOnly,	Cost,	FaithCost,	RequiresFaithPurchaseEnabled,	GlobalFaithPurchaseCooldown,	Moves, Immobile, CombatClass, Domain, DefaultUnitAI, GoodyHutUpgradeUnitClass, XPValueAttack, IsMounted,	Description, 						Civilopedia, 							Strategy, 									Help, 									Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, 			UnitFlagIconOffset, UnitFlagAtlas,				PortraitIndex, 	IconAtlas,				MoveRate, PurchaseCooldown)
SELECT	'UNIT_LIBYAN_NOMAD_MOD',	Class,	PrereqTech,	Range, BaseSightRange, Combat+2, 	MoveAfterPurchase,PurchaseOnly,	Cost+10,FaithCost,	RequiresFaithPurchaseEnabled,	GlobalFaithPurchaseCooldown,	Moves, Immobile, CombatClass, Domain, DefaultUnitAI, GoodyHutUpgradeUnitClass, XPValueAttack, IsMounted,	'TXT_KEY_UNIT_LIBYAN_NOMAD_MOD',	'TXT_KEY_UNIT_LIBYAN_NOMAD_MOD_TEXT',	'TXT_KEY_UNIT_LIBYAN_NOMAD_MOD_STRATEGY',	'TXT_KEY_UNIT_LIBYAN_NOMAD_MOD_HELP',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_PLUMED', 	0,					'PLUMEDNOMAD_FLAG_ATLAS',	2,				'GARAMANTES_ICON_ATLAS',MoveRate, PurchaseCooldown
FROM Units WHERE Type = 'UNIT_SCOUT';

INSERT INTO Units 	
		(Type,					Class, 	PrereqTech,	Range, BaseSightRange, Combat,	Cost,	FaithCost,	RequiresFaithPurchaseEnabled,	PurchaseOnly,	GlobalFaithPurchaseCooldown,	MoveAfterPurchase,	Moves, 	Immobile, CombatClass, Domain, DefaultUnitAI, GoodyHutUpgradeUnitClass, XPValueAttack, IsMounted,	Description, 					Civilopedia, 						Strategy, 								Help, 								Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, 				UnitFlagIconOffset, UnitFlagAtlas,		PortraitIndex, 	IconAtlas,					MoveRate, PurchaseCooldown, BaseLandAirDefense)
SELECT	'UNIT_JAR_MOUKHALA',	Class,	PrereqTech,	Range, BaseSightRange, Combat+1,Cost,	FaithCost,	RequiresFaithPurchaseEnabled,	PurchaseOnly,	GlobalFaithPurchaseCooldown,	MoveAfterPurchase,	Moves,	Immobile, CombatClass, Domain, DefaultUnitAI, GoodyHutUpgradeUnitClass, XPValueAttack, IsMounted,	'TXT_KEY_UNIT_JAR_MOUKHALA',	'TXT_KEY_UNIT_JAR_MOUKHALA_TEXT',	'TXT_KEY_UNIT_JAR_MOUKHALA_STRATEGY',	'TXT_KEY_UNIT_JAR_MOUKHALA_HELP',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_JAR_MOUKHALA', 0,					'MOUKAHLA_FLAG_ATLAS',6,			'GARAMANTES_ICON_ATLAS',	MoveRate, PurchaseCooldown, BaseLandAirDefense
FROM Units WHERE Type = 'UNIT_RIFLEMAN';
--==========================================================================================================================
-- UnitGameplay2DScripts
--==========================================================================================================================	
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 			 	SelectionSound, FirstSelectionSound)
SELECT	'UNIT_LIBYAN_NOMAD_MOD',SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SCOUT';

INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 			 	SelectionSound, FirstSelectionSound)
SELECT	'UNIT_JAR_MOUKHALA', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_RIFLEMAN';
--==========================================================================================================================
-- Unit_AITypes
--==========================================================================================================================	
INSERT INTO Unit_AITypes 	
		(UnitType, 			 	UnitAIType)
SELECT	'UNIT_LIBYAN_NOMAD_MOD',UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_SCOUT';

INSERT INTO Unit_AITypes 	
		(UnitType, 			 	UnitAIType)
SELECT	'UNIT_JAR_MOUKHALA', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_RIFLEMAN';
--==========================================================================================================================
-- Unit_Flavors
--==========================================================================================================================	
INSERT INTO Unit_Flavors 	
		(UnitType, 				FlavorType, Flavor)
SELECT	'UNIT_LIBYAN_NOMAD_MOD',FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_SCOUT';
	
INSERT INTO Unit_Flavors 	
		(UnitType, 			FlavorType, Flavor)
SELECT	'UNIT_JAR_MOUKHALA',FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_RIFLEMAN';
--==========================================================================================================================
-- Unit_FreePromotions
--==========================================================================================================================
INSERT INTO Unit_FreePromotions
		(UnitType, 				PromotionType) 
SELECT	'UNIT_LIBYAN_NOMAD_MOD',PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SCOUT';

INSERT INTO Unit_FreePromotions
		(UnitType, 				PromotionType) 
SELECT	'UNIT_JAR_MOUKHALA',	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_RIFLEMAN';

INSERT INTO Unit_FreePromotions 	
		(UnitType, 				PromotionType)
VALUES	('UNIT_LIBYAN_NOMAD_MOD','PROMOTION_LIBYAN_DESERT_RAIDER'),
		('UNIT_JAR_MOUKHALA',	'PROMOTION_LIBYAN_DESERT_RAIDER'),
		('UNIT_JAR_MOUKHALA',	'PROMOTION_DESERT_WARRIOR');
--==========================================================================================================================
-- Unit_ClassUpgrades
--==========================================================================================================================
INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 				UnitClassType)
SELECT	'UNIT_LIBYAN_NOMAD_MOD',UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_SCOUT';

UPDATE Units SET
ObsoleteTech = (select a.ObsoleteTech from Units a, Unit_ClassUpgrades b, UnitClasses c WHERE b.UnitType='UNIT_LIBYAN_NOMAD_MOD' and b.UnitClassType=c.Type and c.DefaultUnit=a.Type)
WHERE (Type = 'UNIT_LIBYAN_NOMAD_MOD');

INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 				UnitClassType)
SELECT	'UNIT_JAR_MOUKHALA',	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_RIFLEMAN';

UPDATE Units SET
ObsoleteTech = (select a.ObsoleteTech from Units a, Unit_ClassUpgrades b, UnitClasses c WHERE b.UnitType='UNIT_JAR_MOUKHALA' and b.UnitClassType=c.Type and c.DefaultUnit=a.Type)
WHERE (Type = 'UNIT_JAR_MOUKHALA');
--==========================================================================================================================
-- Unit_BuildingClassPurchaseRequireds
--==========================================================================================================================
INSERT INTO Unit_BuildingClassPurchaseRequireds
	(UnitType, BuildingClassType)
VALUES 
	('UNIT_LIBYAN_NOMAD_MOD', 'BUILDINGCLASS_WATERMILL');  -- requires the UB, elsewhere on the tech column
--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================
-- Leaders
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Leaders 
		(Type, 							Description, 						Civilopedia, 						CivilopediaTag, 				ArtDefineTag, 							IconAtlas, 					PortraitIndex)
VALUES	('LEADER_ANCIENT_LIBYA_MOD', 	'TXT_KEY_LEADER_JALLA_MOD_DESC', 	'TXT_KEY_LEADER_JALLA_MOD_PEDIA', 	'TXT_KEY_LEADER_JALLA_MOD', 	'Ancient_Libya_Leader_Scene_Mod.xml',	'GARAMANTES_ICON_ATLAS', 	1);

UPDATE Leaders
SET VictoryCompetitiveness = 5,
WonderCompetitiveness = 3,
MinorCivCompetitiveness = 3,
Boldness = 6,
DiploBalance = 4,
WarmongerHate = 5,
DenounceWillingness = 5,
DoFWillingness = 5,
Loyalty = 5,
Neediness = 5,
Forgiveness = 5,
Chattiness = 5,
Meanness = 5
--Personality='PERSONALITY_COALITION', PrimaryVictoryPursuit  = 'VICTORY_PURSUIT_CULTURE'
WHERE Type = 'LEADER_ANCIENT_LIBYA_MOD';	
------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 					MajorCivApproachType, 				Bias)
VALUES	('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_WAR', 			5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_HOSTILE', 		5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_DECEPTIVE', 	6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_GUARDED', 		6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_AFRAID', 		5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		6);
------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 					MinorCivApproachType, 				Bias)
VALUES	('LEADER_ANCIENT_LIBYA_MOD', 	'MINOR_CIV_APPROACH_IGNORE', 		6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MINOR_CIV_APPROACH_FRIENDLY', 		6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MINOR_CIV_APPROACH_CONQUEST', 		3),
		('LEADER_ANCIENT_LIBYA_MOD', 	'MINOR_CIV_APPROACH_BULLY', 		5);
------------------------------------------------------------------------------------------------------------------------	
-- Leader_Flavors
------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_Flavors 
		(LeaderType, 					FlavorType, 						Flavor)
VALUES	('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_OFFENSE', 					5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_DEFENSE', 					6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_CITY_DEFENSE', 				8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_MILITARY_TRAINING', 		5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_RECON', 					8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_RANGED', 					7),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_MOBILE', 					6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_NAVAL', 					4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_NAVAL_RECON', 				4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_NAVAL_GROWTH', 				4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_AIR', 						5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_EXPANSION', 				6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_GROWTH', 					8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_TILE_IMPROVEMENT', 			8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_INFRASTRUCTURE', 			8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_PRODUCTION', 				5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_GOLD', 						5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_SCIENCE', 					5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_CULTURE', 					6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_HAPPINESS', 				6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_GREAT_PEOPLE', 				4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_WONDER', 					5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_RELIGION', 					5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_DIPLOMACY', 				6),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_SPACESHIP', 				5),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_WATER_CONNECTION', 			4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_NUKE', 						3),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_USE_NUKE', 					2),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_ESPIONAGE', 				7),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_AIRLIFT', 					4),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_I_TRADE_DESTINATION', 		7),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_I_TRADE_ORIGIN', 			7),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_ARCHAEOLOGY', 				8),
		('LEADER_ANCIENT_LIBYA_MOD', 	'FLAVOR_AIR_CARRIER', 				4);
------------------------------------------------------------------------------------------------------------------------	
-- Leader_Traits
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 					TraitType)
VALUES	('LEADER_ANCIENT_LIBYA_MOD',	'TRAIT_FOGGARAS_ANCIENT_LIBYA_MOD');
------------------------------------------------------------------------------------------------------------------------
-- Traits
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Traits 
		(Type, 									Description, 								ShortDescription)
VALUES	('TRAIT_FOGGARAS_ANCIENT_LIBYA_MOD',	'TXT_KEY_TRAIT_FOGGARAS_ANCIENT_LIBYA_MOD',	'TXT_KEY_TRAIT_FOGGARAS_ANCIENT_LIBYA_MOD_SHORT');
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
-- Civilizations
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations 	
		(Type, 								SoundtrackTag,  MapImage, 				DawnOfManQuote, 							DawnOfManImage,			Description,						ShortDescription,						Adjective,								CivilopediaTag,				 			DefaultPlayerColor,					ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,				PortraitIndex,	AlphaIconAtlas)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	'Egypt', 		'Garamantes_Map.dds',	'TXT_KEY_CIV5_DAWN_ANCIENT_LIBYA_MOD_TEXT',	'Garamantes_DOM.dds',	'TXT_KEY_ANCIENT_LIBYA_MOD_DESC', 	'TXT_KEY_ANCIENT_LIBYA_MOD_SHORT_DESC',	'TXT_KEY_ANCIENT_LIBYA_MOD_ADJECTIVE', 	'TXT_KEY_CIVLOPEDIA_ANCIENT_LIBYA_MOD', 'PLAYERCOLOR_ANCIENT_LIBYA_MOD',	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'GARAMANTES_ICON_ATLAS',	0,			'GARAMANTES_ALPHA_ATLAS'
FROM Civilizations WHERE Type = 'CIVILIZATION_EGYPT';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_CityNames
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_CityNames
		(CivilizationType, 					CityName)
VALUES	('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_1'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_2'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_3'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_4'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_5'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_6'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_7'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_8'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_9'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_10'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_11'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_12'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_13'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_14'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_15'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_16'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_17'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_18'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_19'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_20'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_21'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_22'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_23'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_24'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_25'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_26'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_27'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_28'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_29'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_30'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_31'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_32'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_33'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_34'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_35'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_36'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_37'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',    'TXT_KEY_CITY_NAME_ANCIENT_LIBYA_38');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeBuildingClasses
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 					BuildingClassType)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_EGYPT';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeTechs
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 					TechType)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_EGYPT';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeUnits
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeUnits	
		(CivilizationType, 					UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_EGYPT';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Leaders
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_Leaders 
		(CivilizationType, 					LeaderheadType)
VALUES	('CIVILIZATION_ANCIENT_LIBYA_MOD',	'LEADER_ANCIENT_LIBYA_MOD');		
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 					UnitClassType, 			UnitType)
VALUES	('CIVILIZATION_ANCIENT_LIBYA_MOD',	'UNITCLASS_SCOUT',		'UNIT_LIBYAN_NOMAD_MOD'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'UNITCLASS_RIFLEMAN',	'UNIT_JAR_MOUKHALA');
------------------------------------------------------------------------------------------------------------------------
-- Civilization_BuildingClassOverrides 
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 					BuildingClassType, 			BuildingType)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	'BUILDINGCLASS_WATERMILL',	'BUILDING_AGHREM' UNION ALL
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	'BUILDINGCLASS_WELL',		NULL;
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Religions
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_Religions 
		(CivilizationType, 					ReligionType)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	ReligionType
FROM Civilization_Religions WHERE CivilizationType = 'CIVILIZATION_EGYPT';
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Region_Priority
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Region_Priority
		(CivilizationType, 					RegionType)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	RegionType
FROM Civilization_Start_Region_Priority WHERE CivilizationType = 'CIVILIZATION_EGYPT';
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Region_Avoid
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Region_Avoid
		(CivilizationType, 					RegionType)
VALUES	('CIVILIZATION_ANCIENT_LIBYA_MOD', 	'REGION_JUNGLE'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD', 	'REGION_TUNDRA');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_SpyNames
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 			SpyName)
VALUES	('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_0'),	
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_1'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_2'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_3'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_4'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_5'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_6'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_7'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_8'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_9'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_10'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_11'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_12'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_13'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',	'TXT_KEY_SPY_NAME_ANCIENT_LIBYA_MOD_14');
--==========================================================================================================================	
-- Language_en_US
--==========================================================================================================================
INSERT OR REPLACE INTO Language_en_US (Tag, Text)
SELECT 'TXT_KEY_BUILDING_AGHREM_HELP', '+1 [ICON_FOOD] Food and +1 [ICON_PRODUCTION] Production for every 4 [ICON_CITIZEN] Citizens in this City. +1 [ICON_CULTURE] Culture for every 2 Desert tiles worked by the City.[NEWLINE][NEWLINE]+1 [ICON_FOOD] Food, [ICON_GOLD] Gold and +2 [ICON_CULTURE_LOCAL] Border Growth Points on Oases worked by this City.'||Text
FROM Language_en_US WHERE Tag='TXT_KEY_BUILDING_WATERMILL_HELP';

UPDATE Language_en_US SET Text = REPLACE(Text, '+1 [ICON_PRODUCTION] Production for every 4 [ICON_CITIZEN] Citizens in the City.[NEWLINE][NEWLINE]Can only be built in a City next to a River.', '')
WHERE Tag = 'TXT_KEY_BUILDING_AGHREM_HELP';
--==========================================================================================================================
--==========================================================================================================================