--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResource(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------
UPDATE Civilizations 
SET ArtStyleSuffix = (CASE WHEN EXISTS (SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = '_EGYPT' )
	THEN '_EGYPT'
	ELSE '_AFRI' END) 
WHERE Type = 'CIVILIZATION_ANCIENT_LIBYA_MOD';
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_CivCultures(CivType, CultureType, CultureEra);
INSERT OR REPLACE INTO ML_CivCultures
		(CivType,						        CultureType,	CultureEra)
VALUES	('CIVILIZATION_ANCIENT_LIBYA_MOD',		  'ARABIAN',		 'ANY'),
		('CIVILIZATION_ANCIENT_LIBYA_MOD',		  'AFRICAN',	     'ANY');
--==========================================================================================================================
-- Historical Religions
--==========================================================================================================================
UPDATE Civilization_Religions SET ReligionType = 
	( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_AMANAIISM' )
		THEN 'RELIGION_AMANAIISM'
		ELSE ( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_PESEDJET' )
		THEN 'RELIGION_PESEDJET'
		ELSE 'RELIGION_ISLAM' END ) END
	) WHERE CivilizationType = 'CIVILIZATION_ANCIENT_LIBYA_MOD';

CREATE TRIGGER ReligionGaraSupportAmun
AFTER INSERT ON Religions WHEN 'RELIGION_AMANAIISM' = NEW.Type
BEGIN
	UPDATE Civilization_Religions 
	SET ReligionType = 'RELIGION_AMANAIISM'
	WHERE CivilizationType IN ('CIVILIZATION_ANCIENT_LIBYA_MOD');
END;

CREATE TRIGGER ReligionGaraSupportPesedject
AFTER INSERT ON Religions WHEN 'RELIGION_PESEDJET' = NEW.Type
BEGIN
	UPDATE Civilization_Religions SET ReligionType = 
		( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_AMANAIISM' )
			THEN 'RELIGION_AMANAIISM'
			ELSE 'RELIGION_PESEDJET' END 
		) WHERE CivilizationType = 'CIVILIZATION_ANCIENT_LIBYA_MOD';
END;
--==========================================================================================================================
-- Civilizations_YnAEMP
--==========================================================================================================================	
INSERT INTO Civilizations_YnAEMP
(CivilizationType,					MapPrefix,		X,	Y) VALUES
('CIVILIZATION_ANCIENT_LIBYA_MOD',	'Yagem',		17,	45),
('CIVILIZATION_ANCIENT_LIBYA_MOD',	'Yahem',		61,	44),
('CIVILIZATION_ANCIENT_LIBYA_MOD',	'Cordiform',	38,	16),
('CIVILIZATION_ANCIENT_LIBYA_MOD',	'GreatestEarth',50,	29),
('CIVILIZATION_ANCIENT_LIBYA_MOD',	'EuroLarge',	41,	10);
------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResource
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMPRequestedResource
		(CivilizationType,					MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YnAEMPRequestedResource WHERE CivilizationType = 'CIVILIZATION_EGYPT';
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
--==========================================================================================================================	
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SubCultureType, ArtDefineTag, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag,	SoundtrackTag, UnitDialogueTag);
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,					ArtDefineTag, CultureType, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_ANCIENT_LIBYA_MOD',	ArtDefineTag, CultureType, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_MOROCCO';
--=======================================================================================================================
--=======================================================================================================================