print ("Garamantes Scripts")

local tDesert = GameInfoTypes.TERRAIN_DESERT
local iFoggara = GameInfoTypes.IMPROVEMENT_GARAMANTES_MOD_FOGGORA
local fFoggoras = GameInfoTypes.FEATURE_ANCIENT_LIBYAN_MOD_FOSSIL_WATER
local tPlains = GameInfoTypes.TERRAIN_PLAINS;
local tGrass = GameInfoTypes.TERRAIN_GRASS
local tSnow = GameInfoTypes.TERRAIN_SNOW

--------------------------
--Check later: Carvan Unit Tiles and Enemy ZoC
--------------------------

local pNoTerrainCost = GameInfoTypes.PROMOTION_IGNORE_TERRAIN_COST;
local pChariotRoute	= GameInfoTypes.PROMOTION_LIBYAN_CHARIOT_ROUTE;
local pNoMovement = GameInfoTypes.PROMOTION_ROUGH_TERRAIN_ENDS_TURN;
local pWood = GameInfoTypes.PROMOTION_WOODSMAN;

local fForest = GameInfoTypes.FEATURE_FOREST;
local fJungle = GameInfoTypes.FEATURE_JUNGLE;
local fOasis = GameInfoTypes.FEATURE_OASIS;

local tDesert = GameInfoTypes.TERRAIN_DESERT;
local tPlains = GameInfoTypes.TERRAIN_PLAINS;

local iFoggora = GameInfoTypes.IMPROVEMENT_GARAMANTES_MOD_FOGGORA;

local uCargo = GameInfoTypes.UNIT_CARGO_SHIP;
local uCaravan = GameInfoTypes.UNIT_CARAVAN;
local uChariot = GameInfoTypes.UNIT_CHARIOT_ARCHER;
local uWarChariot = GameInfoTypes.UNIT_EGYPTIAN_WARCHARIOT;

directions = {DirectionTypes.DIRECTION_NORTHEAST, DirectionTypes.DIRECTION_EAST, DirectionTypes.DIRECTION_SOUTHEAST,
              DirectionTypes.DIRECTION_SOUTHWEST, DirectionTypes.DIRECTION_WEST, DirectionTypes.DIRECTION_NORTHWEST}

function GetTradeRouteString(pPlot, pPlayer, pUnit)
	local strTradeRouteStr = "";
	local astrTradeRouteStrings = pPlayer:GetInternationalTradeRoutePlotToolTip(pPlot);			
	for i,v in ipairs(astrTradeRouteStrings) do	
		if (strTradeRouteStr == "") then
			strTradeRouteStr = strTradeRouteStr .. Locale.ConvertTextKey("TXT_KEY_TRADE_ROUTE_TT_PLOT_HEADING");
		else
			strTradeRouteStr = strTradeRouteStr .. "[NEWLINE]";
		end
		strTradeRouteStr = strTradeRouteStr .. v.String;
	end	
	return strTradeRouteStr;
end

--[[
GameEvents.UnitSetXY.Add( 
function(iPlayerID, iUnitID, iX, iY)
	local pPlot = Map.GetPlot(iX, iY)
	local pPlayer = Players[iPlayerID]
	local pUnit = pPlayer:GetUnitByID(iUnitID)
	if pPlot then
		if (pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD) then
			if (pUnit:GetUnitType() ~= uCargo) and (pUnit:GetUnitType() ~= uCaravan) then
				if (pUnit:GetDomainType() == DomainTypes.DOMAIN_LAND) and not pUnit:IsEmbarked() then 
					local strTradeRouteStr = GetTradeRouteString(pPlot, pPlayer, pUnit)
					if strTradeRouteStr ~= "" then		
						if (pPlayer:IsHuman()) then --Might confuse AI movement?
							if not pUnit:IsHasPromotion(pNoTerrainCost) then
								if not pUnit:IsHasPromotion(pChariotRoute) then
									pUnit:SetHasPromotion(pChariotRoute, true)
								end
							end	
							if (pUnit:GetUnitType() == uChariot) or (pUnit:GetUnitType() == uWarChariot) then
								if pUnit:IsHasPromotion(pNoMovement) then
									pUnit:SetHasPromotion(pNoMovement, false)
								end
							end						
						end
					elseif strTradeRouteStr == "" then
						if (pPlayer:IsHuman()) then
							if pUnit:IsHasPromotion(pChariotRoute) then
								pUnit:SetHasPromotion(pChariotRoute, false)
								if pPlot:IsRoughGround() and not pPlot:IsRoute() then
									if not pUnit:IsHasPromotion(pWood) then
										pUnit:ChangeMoves(-60)
									elseif pUnit:IsHasPromotion(pWood) then
										if (pPlot:GetFeatureType() ~= fForest) and (pPlot:GetFeatureType() ~= fJungle) then
											pUnit:ChangeMoves(-60)
										end
									end
								end
							end
							if (pUnit:GetUnitType() == uChariot) or (pUnit:GetUnitType() == uWarChariot) then
								if not pUnit:IsHasPromotion(pNoMovement) then
									pUnit:SetHasPromotion(pNoMovement, true)
									if pPlot:IsRoughGround() and not pPlot:IsRoute() then
										local MovesLeft = pUnit:GetMoves();
										pUnit:ChangeMoves(-MovesLeft)
									end
								end
							end		
						end
					end
				end
			end
		end
	end
end);]]

GameEvents.PlayerDoTurn.Add(
function(iPlayer)
    local pPlayer = Players[iPlayer];
	local iCurrentTurn = Game.GetGameTurn()
	if (pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD) then
		for pUnit in pPlayer:Units() do		
			if (pUnit:GetUnitType() ~= uCargo) and (pUnit:GetUnitType() ~= uCaravan) then
				if (pUnit:GetDomainType() == DomainTypes.DOMAIN_LAND) and not pUnit:IsEmbarked() then 
					local pPlot = pUnit:GetPlot()
					local strTradeRouteStr = GetTradeRouteString(pPlot, pPlayer, pUnit)				
					if strTradeRouteStr ~= "" then	
						if (pPlayer:IsHuman()) then		
							if not pUnit:IsHasPromotion(pNoTerrainCost) then
								if not pUnit:IsHasPromotion(pChariotRoute) then
									pUnit:SetHasPromotion(pChariotRoute, true)
								end
							end	
							if (pUnit:GetUnitType() == uChariot) or (pUnit:GetUnitType() == uWarChariot) then
								if pUnit:IsHasPromotion(pNoMovement) then
									pUnit:SetHasPromotion(pNoMovement, false)
								end
							end		
						end	
						if pUnit:GetMoves() ~= 0 then				
							local pMax = pUnit:MaxMoves();
							pUnit:SetMoves(pMax + 60);
							--AI Handicap
							if not (pPlayer:IsHuman()) then
								if (pUnit:GetGameTurnCreated() == iCurrentTurn) then
									if not pUnit:IsHasPromotion(pNoTerrainCost) then
										if not pUnit:IsHasPromotion(pChariotRoute) then
											pUnit:SetHasPromotion(pChariotRoute, true)
										end
									end	
								end
							end
							--
						end
					elseif strTradeRouteStr == "" then
						if (pPlayer:IsHuman()) then
							if pUnit:IsHasPromotion(pChariotRoute) then
								pUnit:SetHasPromotion(pChariotRoute, false)
							end
							if (pUnit:GetUnitType() == uChariot) or (pUnit:GetUnitType() == uWarChariot) then
								if not pUnit:IsHasPromotion(pNoMovement) then
									pUnit:SetHasPromotion(pNoMovement, true)
								end
							end
						end
					end
				end
			end
			--AI Handicap
			if not (pPlayer:IsHuman()) then
				if (pUnit:GetGameTurnCreated() ~= iCurrentTurn) then
					if pUnit:IsHasPromotion(pChariotRoute) then
						pUnit:SetHasPromotion(pChariotRoute, false)
					end
				end
			end
			--
		end
	end
end);




function gDecompilePlotID(sKey)
    iBreak = string.find(sKey, "Y")
    iX = tonumber(string.sub(sKey, 1, iBreak - 1))
    iY = tonumber(string.sub(sKey, iBreak + 1))
    pPlot = Map.GetPlot(iX, iY)
    return pPlot
end

function gCompilePlotID(pPlot)
    iX = pPlot:GetX()
    iY = pPlot:GetY()
    return(iX .. "Y" .. iY)
end

local garamantesPlots = {}

for iPlot = 0, Map.GetNumPlots() - 1, 1 do
    local pPlot = Map.GetPlotByIndex(iPlot)
	if (pPlot:GetTerrainType() == tDesert) then
		local sKey = gCompilePlotID(pPlot)
		garamantesPlots[sKey] = -1
    end
end

--[[GameEvents.PlayerDoTurn.Add(
function(iPlayer)
    local pPlayer = Players[iPlayer];
	local pTeam = pPlayer:GetTeam();
	local isWar = 0;
    if (pPlayer:IsAlive()) then	
		if (pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD) then
			if not (pPlayer:IsHuman()) then			
				for oPlayer=0, GameDefines.MAX_MAJOR_CIVS-1 do
					local oPlayer = Players[oPlayer];
					if oPlayer ~= pPlayer then
						if (oPlayer:IsAlive()) then
							local oTeam = oPlayer:GetTeam();
							if Teams[pTeam]:IsAtWar(oTeam) then
								isWar = isWar + 1;
							end
						end
					end
				end
			end
			for pCity in pPlayer:Cities() do
				local cPlot = pCity:Plot();
				if cPlot:GetTerrainType() ~= tSnow then
					if cPlot:GetFeatureType() == -1 then
						cPlot:SetFeatureType(fFoggoras);
					end
				end
			end
		end
		for sKey, tTable in pairs(garamantesPlots) do
			local pPlot = gDecompilePlotID(sKey)
			if pPlot:GetOwner() ~= -1 then
				local mPlayer = Players[pPlot:GetOwner()];
				if (mPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD) and not pPlot:IsCity() then
					if pPlot:GetImprovementType() ~= iFoggara and pPlot:GetFeatureType() == fFoggoras then
						pPlot:SetFeatureType(-1);
					end
				elseif (mPlayer:GetCivilizationType() ~= GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD) and not pPlot:IsCity() then
					if pPlot:GetFeatureType() == fFoggoras then
						pPlot:SetFeatureType(-1);
					end
				end
			else
				if pPlot:GetFeatureType() == fFoggoras then
					pPlot:SetFeatureType(-1);
				end
			end
		end
	end
end);]]

--[[GameEvents.CityCaptureComplete.Add(
function(iOldOwner, bIsCapital, iX, iY, iNewOwner, iPop, bConquest)
	local kPlot = Map.GetPlot(iX, iY);
	local kCity = kPlot:GetPlotCity();
	local pOldPlayer = Players[iOldOwner]
	local pNewPlayer = Players[iNewOwner]
	if pOldPlayer:GetCivilizationType() ~= GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD then return end
	if kPlot:GetFeatureType() == fFoggoras then
		kPlot:SetFeatureType(-1);
	end
end);]]

GameEvents.PlayerCityFounded.Add(
function(iPlayer, iCityX, iCityY)
	local pPlayer = Players[iPlayer];
	local pPlot = Map.GetPlot(iCityX, iCityY);
	if (pPlayer:IsAlive()) then
		if (pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_ANCIENT_LIBYA_MOD) then
			if pPlot:GetFeatureType() == -1 then
				pPlot:SetFeatureType(fOasis);
			end
		end
	end
end);

--[[
FoggaraAquifer_BuildFinished_PlayerID = 0
FoggaraAquifer_BuildFinished_X = 0
FoggaraAquifer_BuildFinished_Y = 0
FoggaraAquifer_BuildFinished_Improvement = 0
	
function Jar_FoggaraAquifer(playerID, plotX, plotY, improvementID)
	if(FoggaraAquifer_BuildFinished_PlayerID == playerID and FoggaraAquifer_BuildFinished_X == plotX and FoggaraAquifer_BuildFinished_Y == plotY and FoggaraAquifer_BuildFinished_Improvement == improvementID) then
		return;
	end
	-- Store inputs for duplication check
	FoggaraAquifer_BuildFinished_PlayerID = playerID;	
	FoggaraAquifer_BuildFinished_X = plotX;					
	FoggaraAquifer_BuildFinished_Y = plotY;					
	FoggaraAquifer_BuildFinished_Improvement = improvementID;
	
	local pPlot = Map.GetPlot(plotX, plotY)
	local pPlayer = Players[playerID]
	if improvementID == iFoggara then
		pPlot:SetFeatureType(fFoggoras);
	end
	if pPlot:GetFeatureType() == fFoggoras and (improvementID ~= iFoggara) then
		pPlot:SetFeatureType(-1);
	end
end
GameEvents.BuildFinished.Add(Jar_FoggaraAquifer)]]
---------------------------------------------------------
print("Tomatekh's Garamantes for VP functions loaded")
--==========================================================================================================================
--==========================================================================================================================